## node-xmpp 0.2.7

=== debian/changelog ===
node-xmpp (0.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 May 2011 20:53:25 +0200

node-xmpp (0.2.6-1) unstable; urgency=low

  * New upstream release.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Tighten dependency on nodejs, to match upstream change.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2011 12:06:07 +0200

node-xmpp (0.2.5+git20110210-1) unstable; urgency=low

  * New snapshop of upstream git.

  [ Jonas Smedegaard ]
  * Fix tie proper email addresses to artist and real name of upstream
    author, as per request.
  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 Feb 2011 21:50:40 +0100

node-xmpp (0.2.5-1) experimental; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Feb 2011 19:49:50 +0100

node-xmpp (0.2.4-1) experimental; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 04:22:27 +0100

node-xmpp (0.2.3-2) experimental; urgency=low

  * Fix gitignore /.pc (not bogus raw).
  * Fix add symlink index.js to main file xmpp.js.
  * Rename binary package to match micro-policy Node naming scheme:
    libnode-PKG.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 12:12:08 +0100

node-xmpp (0.2.3-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#611224.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 28 Jan 2011 01:42:50 +0100
