=== debian/control ===
Source: node-xmpp
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/astro/node-xmpp
Vcs-Git: git://git.debian.org/git/collab-maint/node-xmpp
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-xmpp.git

Package: libnode-node-xmpp
Architecture: all
Depends: ${misc:Depends},
 libnode-ltx,
 libnode-node-expat,
 nodejs (>= 0.4.0)
Description: idiomatic XMPP library for Node
 Node is an event-based server-side JavaScript engine.
 .
 Idiomatic XMPP client, component & server library for Node.
 .
 Objectives of node-xmpp:
  * Uses Node conventions, especially 'EventEmitter', ie. for write
    buffer control.
  * Fast parsing, 'node-expat' was written with this library in mind.
  * Client support for both XMPP clients and components.
  * Optional server infrastructure with 'Router'.
  * After authentication, leave trivial protocol bits to the user (later
    we could offer helpers for entity capabilities hashing, etc.).
