=== debian/watch ===
version=3
http://githubredir.debian.net/github/astro/node-xmpp .*/v(\d.*).tar.gz
