## node-xmpp 0.3.1

=== debian/changelog ===
node-xmpp (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatilibity level to 7.
  * Drop obsolete libnode-* fallback dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2011 13:27:28 +0700

node-xmpp (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Update copyright file:
    + New upstream license: Expat.
    + Quote license names in comment.
  * Extend long description to list features.
  * Rename binary package libnode-node-xmpp → node-node-xmpp.
    Replace and conflict with (and temporarily provide) old name.
  * Drop dpkg local-options hints from packaging source: now defaults.
  * Update package relations:
    + Relax build-depend unversioned on debhelper (needed version
      satisfied even in oldstable).
    + Recommend libnode-node-stringprep.
    + Update to depend on and recommend node-* favored over legacy
      names libnode-*.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Nov 2011 00:14:43 +0700
