=== debian/control ===
Source: node-xmpp
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo
Standards-Version: 3.9.2
Homepage: https://github.com/astro/node-xmpp
Vcs-Git: git://git.debian.org/git/collab-maint/node-xmpp
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-xmpp.git

Package: node-node-xmpp
Architecture: all
Depends: ${misc:Depends},
 node-ltx,
 node-node-expat,
 nodejs (>= 0.4.0)
Recommends: node-node-stringprep | libnode-node-stringprep
Description: idiomatic XMPP library for Node
 Node is an event-based server-side JavaScript engine.
 .
 Idiomatic XMPP client, component & server library for Node.
 .
 Objectives of node-xmpp:
  * Use Node conventions, especially 'EventEmitter', ie. for write
    buffer control
  * Fast parsing, 'node-expat' was written with this library in mind
  * Client support for both XMPP clients and components
  * Optional server infrastructure with 'Router'
  * After authentication, leave trivial protocol bits to the user, that
    is XML handling according to any XEP
 .
 Features
  * Client authentication with SASL DIGEST-MD5, PLAIN, ANONYMOUS,
    X-FACEBOOK-PLATFORM
  * `_xmpp-client._tcp` SRV record support
  * Simple JID parsing with Stringprep normalization (optional: requires
    node-stringprep installed)
  * Uses ltx
    * Much easier to handle than a standard DOM
    * xmlns-aware
    * Easy XML builder like Strophe.js (see down)
    * Non-buffering serialization
    * Was split out of node-xmpp for modularization and resuability
  * Component connections
  * Run your own server/talk to other servers with `xmpp.Router`
