=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,8 @@
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+libpkgname = node-node-xmpp
+
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
@@ -27,7 +29,7 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/astro/node-xmpp/
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 1f96d89f9a3098dc1194463efffed0e9
+DEB_UPSTREAM_TARBALL_MD5 = ba8cf5564d9ca8c5e7f6536d13b51cc3
 
-DEB_INSTALL_DOCS_libnode-node-xmpp += README.markdown
+DEB_INSTALL_DOCS_$(libpkgname) += README.markdown
 DEB_DH_LINK_ARGS = usr/lib/nodejs/node-xmpp/xmpp.js /usr/lib/nodejs/node-xmpp/index.js
