## node-xmpp 0.3.2

=== debian/changelog ===
node-xmpp (0.3.2-4) unstable; urgency=medium

  * Team upload
  * Section: javascript
  * Update Vcs-* fields
  * Remove unneeded build-dep on nodejs-dev (Closes: #920515)
  * Standards-Version 4.3.0
  * Use https url for copyright format
  * Depends node-inherits
  * Move Recommends to Depends since they're available and
    actually needed to pass tests.
  * Add two autopkgtests

 -- Jérémy Lal <kapouer@melix.org>  Sat, 26 Jan 2019 14:52:54 +0100

node-xmpp (0.3.2-3) unstable; urgency=medium

  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .gitignore file.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize Vcs-Git field: Use https URL.
  * Bump debhelper compatibility level to 9.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage of packaging to include recent years.
    + Relicense packaging as GPL-3+.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Update watch file:
    + Bump to version 4.
    + Use Github pattern.
    + Mention uscan and gpb in usage comment.
    + Use substitution string @PACKAGE@.
  * Update package relations:
    + Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jan 2017 17:19:16 +0100

node-xmpp (0.3.2-2) unstable; urgency=medium

  [ Jonas Smedegaard ]
  * Add README.source emphasizing that control.in file is *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump standards-version to 3.9.6.
  * Switch upstream URLs to reflect new home at
    https://github.com/node-xmpp/node-xmpp.
    Modernize watch file to use github directly.
  * Bump debhelper compatibility level to 8: Needed version satisfied
    even on oldstable.
  * Stop track md5sum of upstream tarball: Compare tarball against
    upstream git commits instead.
  * Have gbp config skip .gitignore when importing upstream tarballs.
  * Update Vcs-* fields to use canonical URLs and cgit browser.
  * Modernize CDBS inclusions: Needed packages are even in oldstable.
    Build-depend on devscripts.
  * Install package.json and move code to subdir.
    Thanks to Jérémy Lal (see bug#784439).
  * Update package relations:
    + Relax to depend unversioned on nodejs-dev: Needed version
      satisfied even in oldstable.
    + Drop obsolete fallback-dependency on libnode-node-stringprep.
    + Fix depend explicitly on node-node-expat.
  * Update homepage.

  [ Leo Iannacone ]
  * Handle eventual prereleases and repackaging in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2015 01:52:44 +0200

node-xmpp (0.3.2-1) unstable; urgency=low

  * New upstream release.
  * Include examples.
  * Update watch file to use more flexible regex.
  * Bump standards-version to 3.9.3.
  * Bump copyright file format to 1.0.
  * Update control file Vcs-Browser field to use anonscm.debian.org.
  * Enable regression tests.
    Build-depend on node-vows, node-ltx and node-stringprep.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Mar 2012 14:30:03 +0100
