=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: node-xmpp
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
+ licensecheck,
  debhelper,
- dh-buildinfo
-Standards-Version: 3.9.2
-Homepage: https://github.com/astro/node-xmpp
-Vcs-Git: git://git.debian.org/git/collab-maint/node-xmpp
-Vcs-Browser: http://git.debian.org/?p=collab-maint/node-xmpp.git
+ dh-buildinfo,
+ node-vows,
+ node-ltx,
+ node-inherits,
+ node-node-expat,
+ node-node-stringprep
+Standards-Version: 4.3.0
+Homepage: http://node-xmpp.org/
+Vcs-Git: https://salsa.debian.org/js-team/node-xmpp.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-xmpp
 
 Package: node-node-xmpp
 Architecture: all
-Depends: ${misc:Depends},
- node-ltx,
- node-node-expat,
- nodejs (>= 0.4.0)
-Recommends: node-node-stringprep | libnode-node-stringprep
+Depends: ${cdbs:Depends},
+ ${misc:Depends}
+Recommends: ${cdbs:Recommends}
 Description: idiomatic XMPP library for Node
  Node is an event-based server-side JavaScript engine.
  .
