=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011-2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for node-xmpp
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = node-node-xmpp
libdir = /usr/lib/nodejs/node-xmpp

DEB_UPSTREAM_URL = https://github.com/node-xmpp/node-xmpp/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)

# Needed by upstream build and (always/often) at runtime
deps = node-ltx, node-inherits, node-node-expat, node-node-stringprep

# Needed by upstream build
bdeps = node-vows

# Needed (always) at runtime
depends = nodejs

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps), $(deps-recommend)
CDBS_DEPENDS_$(pkg) = $(deps), $(depends)
CDBS_RECOMMENDS_$(pkg) = $(deps-recommend)

DEB_INSTALL_DOCS_$(pkg) += README.markdown
DEB_INSTALL_EXAMPLES_$(pkg) += examples/*
DEB_DH_INSTALL_ARGS_$(pkg) = package.json lib $(libdir)

build/$(pkg)::
	$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,vows --spec)
