=== debian/tests/control ===
Test-Command: node -e "require('node-xmpp')"
Depends: node-node-xmpp

Test-Command: vows --spec
Depends: @, @builddeps@
